package FaDe;

/**
 * Config is a class used to store default values for some options and for setting them library-wide during the execution of the library.
 * 
 * @author Giorgio Luparia
 */
public class Config {
	/*
     * Default values
	 * 
	 * dataCollectionTime:			data collection time
	 * bufferingTime:				logger buffering time
	 * doubleClickLimit:			interval under which two consecutive clicks are considered a double click
	 * writingSessionLimit:			interval under which two consecutive keystrokes are considered to be in the same writing session
	 * writingSessionMinLength:		minimum amount of keystrokes to form a writing session
	 * mouseMovementLimit:			interval under which two consecutive mouse micromovements are considered to be in the same movement
	 * mouseHesitationThreshold:	interval above which two consecutive mouse micromovements describe a user hesitation in the movement
	 * mouseMovementMinLength:		minimum amount of mouse micromovements to form a movement
     */
    public static int dataCollectionTime		= 30;		// minutes
	public static int bufferingTime				= 5;		// seconds
	public static int doubleClickLimit			= 1000000;	// microseconds
	public static int writingSessionLimit		= 1000000;	// microseconds
	public static int writingSessionMinLength	= 5;		// keystrokes
	public static int mouseMovementLimit		= 1000000;	// microseconds
	public static int mouseHesitationThreshold	= 200000;	// microseconds
	public static int mouseMovementMinLength	= 10;		// keystrokes
}