package FaDe;

import java.io.Serializable;

/**
 * The MouseMovement class represents the position the cursor has been moved to at a particular instant.
 * 
 * @author Giorgio Luparia
 */
class MouseMovement extends Event implements Serializable {
    private Instant instant;
    private int x, y;

	/**
	 * Class constructor
	 * 
	 * @param instant	the istant at which the movement was done
	 * @param x			the position of the cursor as an x coordinate
	 * @param y			the position of the cursor as a y coordinate
	 */
    public MouseMovement(Instant instant, int x, int y) {
        this.instant = instant;
        this.x = x;
        this.y = y;
    }
	
	/**
	 * Returns the x coordinate.
	 * 
	 * @return the x coordinate
	 */
	public int getX() {
		return x;
	}
	
	/**
	 * Returns the y coordinate.
	 * 
	 * @return the y coordinate
	 */
	public int getY() {
		return y;
	}
	
	public Instant getInstant() {
        return instant;
    }
	
	@Override
    public String toString() {
        return new String(instant + " - " + x + " " + y);
    }
}
