package FaDe;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.StringTokenizer;

/**
 * The Logger class is used to log user's mouse and keyboard usage.
 * First the <code>run()</code> method must be called to collect the data.
 * After this, the <code>getMouseButtonStrokeLog()</code>, <code>getKeyStrokeLog()</code> and <code>getMousePositionLog()</code> methods will return the correct log.
 * A full log can be obtained with the <code>getLog()</code> method.
 * 
 * @author Giorgio Luparia
 */
public class Logger implements Serializable {
	// Log
	private List<Event> log;
	
	// Filtered log caches (calculated on demand)
	private List<KeyStroke> keyStrokeCache;
	private List<MouseButtonStroke> mouseButtonStrokeCache;
	private List<MouseMovement> mousePositionCache;
	
	// Temp buffers
	private List<String> keyloggerBuffer;
	private List<String> mouseLoggerBuffer;
	
	// Semaphore
	private boolean writeLogs;
	
	/**
	 * Class constructor.
	 */
	public Logger() {}
	
	/**
	 * Collects data for the specified minutes.
	 * This method is blocking.
	 * 
	 * @param	minutes	the minutes to collect data for
	 */
	public void run(final int minutes) {
		/*
		 * Variable initialization
		 */
		writeLogs = true;
		keyloggerBuffer = new ArrayList<String>();
		mouseLoggerBuffer = new ArrayList<String>();
		log = new ArrayList<Event>();
		
		List<Integer[]> rawKeyLog = new ArrayList<Integer[]>();
		
		Thread keyLogger = new Thread(new Runnable()
		{
			public void run() {
				try {
					/*
					 * The native executable is extracted from the .jar in a temp folder
					 */
					File loggerExecutable = File.createTempFile("keylogger", ".exe");
					try {
						loggerExecutable.setExecutable(true);
					} catch (NoSuchMethodError ex) {}
					loggerExecutable.deleteOnExit();
					OutputStream out = new FileOutputStream(loggerExecutable);
					InputStream in = getClass().getResourceAsStream("loggers/keylogger.exe");
					byte[] buffer = new byte[1024];
					int bytesRead;
					while ((bytesRead = in.read(buffer)) >= 0)
						out.write(buffer, 0, bytesRead);
					out.close();
					in.close();
					
					/*
					 * The native executable is launched
					 */
					Process p = Runtime.getRuntime().exec(new String[]{loggerExecutable.getCanonicalPath(), Integer.toString(minutes)});
					BufferedReader input = new BufferedReader(new InputStreamReader(p.getInputStream()));
					
					/*
					 * Each line of its output is buffered
					 */
					String line;
					while ((line = input.readLine()) != null) {
						// waits until it's possible to write the buffer
						while (!writeLogs)
							Thread.sleep(10);
						keyloggerBuffer.add(line);
					}
					input.close();
					
					p.destroy();
				} catch (Exception err) {
				err.printStackTrace();
				}
			}
		});
		Thread mouseLogger = new Thread(new Runnable()
		{
			public void run() {
				try {
					/*
					 * The native executable is extracted from the .jar in a temp folder
					 */
					File loggerExecutable = File.createTempFile("mouselogger", ".exe");
					try {
						loggerExecutable.setExecutable(true);
					} catch (NoSuchMethodError ex) {}
					loggerExecutable.deleteOnExit();
					OutputStream out = new FileOutputStream(loggerExecutable);
					InputStream in = getClass().getResourceAsStream("loggers/mouselogger.exe");
					byte[] buffer = new byte[1024];
					int bytesRead;
					while ((bytesRead = in.read(buffer)) >= 0)
						out.write(buffer, 0, bytesRead);
					out.close();
					in.close();
					
					/*
					 * The native executable is launched
					 */
					Process p = Runtime.getRuntime().exec(new String[]{loggerExecutable.getCanonicalPath(), Integer.toString(minutes)});
					BufferedReader input = new BufferedReader(new InputStreamReader(p.getInputStream()));
					
					/*
					 * Each line of its output is buffered
					 */
					String line;
					while ((line = input.readLine()) != null) {
						// waits until it's possible to write the buffer
						while (!writeLogs)
							Thread.sleep(10);
						mouseLoggerBuffer.add(line);
					}
					input.close();
					
					p.destroy();
				} catch (Exception err) {
				err.printStackTrace();
				}
			}
		});
        
		keyLogger.start();
		mouseLogger.start();
		
		long bufferFlushTimestamp = System.currentTimeMillis();
		while (keyLogger.isAlive() || mouseLogger.isAlive())
		{
			/*
			 * Waits the specified buffering time, minus the time of the last loop cycle
			 */
			long millisToSleep = (1000 * Config.bufferingTime) - (System.currentTimeMillis() - bufferFlushTimestamp);
			if (millisToSleep <= 0)
				millisToSleep = 1;
			try {
				Thread.sleep(millisToSleep);
			} catch (InterruptedException ex) {}
			bufferFlushTimestamp = System.currentTimeMillis();
			
			/*
			 * Cycles the buffers with fresh ones
			 */
			List<String> keyloggerBufferCopy;
			List<String> mouseLoggerBufferCopy;
			writeLogs = false;
			keyloggerBufferCopy = keyloggerBuffer;
			mouseLoggerBufferCopy = mouseLoggerBuffer;
			keyloggerBuffer = new ArrayList<String>();
			mouseLoggerBuffer = new ArrayList<String>();
			writeLogs = true;
			
			String tmpString;
			/*
			 * Converts string logs to int to optimize memory usage
			 */
			for (Iterator<String> i = keyloggerBufferCopy.iterator(); i.hasNext();) {
				tmpString = i.next();
				StringTokenizer tokenizer = new StringTokenizer(tmpString, " ");
				Integer tmpArray[] = {Integer.parseInt(tokenizer.nextToken()), Integer.parseInt(tokenizer.nextToken()), Integer.parseInt(tokenizer.nextToken()), Integer.parseInt(tokenizer.nextToken())};
				rawKeyLog.add(tmpArray);	
			}
			/*
			 * Converts string logs directly to the final log format
			 */
			for (Iterator<String> i = mouseLoggerBufferCopy.iterator(); i.hasNext();) {
				tmpString = i.next();
				StringTokenizer tokenizer = new StringTokenizer(tmpString, " ");
				log.add(new MouseMovement(
						new Instant(Integer.parseInt(tokenizer.nextToken()), Integer.parseInt(tokenizer.nextToken())),
						Integer.parseInt(tokenizer.nextToken()),
						Integer.parseInt(tokenizer.nextToken())
						));
			}
		}
		
		/*
		 * Converts the optimized log to the final format
		 */
		Integer[][] keyLogArray = rawKeyLog.toArray(new Integer[0][]);
		for (int j = 0; j < keyLogArray.length; j++) {
			if (keyLogArray[j][2] == 1) {
				for (int h = j + 1; h < keyLogArray.length; h++) {
					if (keyLogArray[h][3] == keyLogArray[j][3] && keyLogArray[h][2] == 0) {
						Instant tmpPressTime = new Instant(keyLogArray[j][0], keyLogArray[j][1]);
						Instant tmpReleaseTime = new Instant(keyLogArray[h][0], keyLogArray[h][1]);						
						switch (keyLogArray[h][3]) {
							case 1:
							case 2:
							case 3:
								log.add(new MouseButtonStroke(tmpPressTime, tmpReleaseTime));
								break;
							case 8:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.BACKSPACE));
								break;
							case 9:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.TAB));
								break;
							case 13:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.ENTER));
								break;
							case 16:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.SHIFT));
								break;
							case 17:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.CONTROL));
								break;
							case 18:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.ALT));
								break;
							case 27:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.ESC));
								break;
							case 32:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.SPACEBAR));
								break;
							case 37:
							case 38:
							case 39:
							case 40:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.ARROW));
								break;
							case 46:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.CANCEL));
								break;
							case 160:
							case 161:
							case 162:
							case 163:
							case 164:
							case 165:
								break;
							default:
								log.add(new KeyStroke(tmpPressTime, tmpReleaseTime, Key.OTHER));
								break;
						}						
						break;
                    }
				}
			}
		}
		
		Collections.sort(log);
    }
	
	/**
	 * Returns the log containing the mouse button strokes.
	 * 
	 * @return	a log containing the mouse button strokes
	 */
	List<MouseButtonStroke> getMouseButtonStrokeLog() {
		if (mouseButtonStrokeCache == null) {
			mouseButtonStrokeCache = new ArrayList<MouseButtonStroke>();
			for (Event e : log) {
				if (e instanceof MouseButtonStroke)
					mouseButtonStrokeCache.add((MouseButtonStroke) e);
			}
			Collections.sort(mouseButtonStrokeCache);
		}
		return mouseButtonStrokeCache;
	}
	
	/**
	 * Returns the log containing the keyboard button strokes.
	 * 
	 * @return	a log containing the keyboard button strokes
	 */
	List<KeyStroke> getKeyStrokeLog() {
		if (keyStrokeCache == null) {
			keyStrokeCache = new ArrayList<KeyStroke>();
			for (Event e : log) {
				if (e instanceof KeyStroke)
					keyStrokeCache.add((KeyStroke) e);
			}
			Collections.sort(keyStrokeCache);
		}
		return keyStrokeCache;
	}
	
	/**
	 * Returns the log containing the mouse positions.
	 * 
	 * @return	a log containing the mouse positions
	 */
	List<MouseMovement> getMousePositionLog() {
		if (mousePositionCache == null) {
			mousePositionCache = new ArrayList<MouseMovement>();
			for (Event e : log) {
				if (e instanceof MouseMovement)
					mousePositionCache.add((MouseMovement) e);
			}
			Collections.sort(mousePositionCache);
		}
		return mousePositionCache;
	}
	
	/**
	 * Returns a full log.
	 * 
	 * @return	a full log
	 */
	List<Event> getLog() {
		return log;
	}
}
